<?php
global $cjaddons_options, $cjaddons_item_vars;
$helpers = cjaddons_supportezzy_helpers::getInstance();
$gumroad_import_url = $helpers->callbackUrl('addon-supportezzy', 'cjsupport-integration-gumroad', 'cjaddons');
$gumroad_import_url = $helpers->queryString($gumroad_import_url).'gumroad-sync=products';
$file_name = str_replace( '.php', '', basename( __FILE__ ) );
$cjaddons_options[ $file_name ] = array(
	array(
		'type' => 'heading',
		'id' => 'cjsupport-gumroad-heading',
		'label' => __( 'Gumroad Integration', 'addon-supportezzy' ),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'text',
		'id' => 'cjsupport_gumroad_token',
		'label' => __( 'Access Token', 'addon-supportezzy' ),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '',
	),
	array(
		'type' => ($helpers->savedOption('cjsupport_gumroad_token') !== '') ? 'info' : 'hidden',
		'id' => 'cjsupport_gumroad_import_products',
		'label' => __( 'Import Products', 'addon-supportezzy' ),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '<a href="'.$gumroad_import_url.'" class="cj-button cj-is-small cj-is-info">'.__('Import Products', 'addon-supportezzy').'</a>',
		'options' => '',
	),
);