<?php
global $cjaddons_options;

if( isset( $_POST['update_skype_ids'] ) ) {
	$post_data = $_POST;
	unset( $post_data['update_skype_ids'] );
	foreach( $post_data as $ID => $skype_username ) {
		update_user_meta( $ID, 'skype_username', $skype_username );
	}
	echo $this->helpers->alert( 'success', __( 'Settings saved.', 'addon-supportezzy' ), '', null );
}

$agents = $this->helpers->supportAgentsArray();

$skype_form_fields = array(
	array(
		'id' => 'skype-integration-heading',
		'type' => 'heading',
		'label' => __( 'Skype Integration', 'addon-supportezzy' ),
		'info' => __( 'Specify Skype IDs for support agents.', 'addon-supportezzy' ),
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	)
);

if( is_array( $agents ) && ! empty( $agents ) ) {
	foreach( $agents as $user_id => $agent ) {
		$agent_info = $this->helpers->userInfo( $user_id );
		$skype_form_fields[] = array(
			'id' => $user_id,
			'type' => 'text',
			'label' => sprintf( __( '%s\'s<br>Skype ID', 'addon-supportezzy' ), $agent_info['display_name'] ),
			'info' => '',
			'default' => (isset( $agent_info['skype_username'] )) ? $agent_info['skype_username'] : '',
			'params' => array(
				'placeholder' => __( 'Skype ID/Username', 'addon-supportezzy' )
			),
			'options' => '', // array in case of dropdown, checkbox and radio buttons
		);
	}
}

$skype_form_fields['submit'] = array(
	'id' => 'update_skype_ids',
	'type' => 'submit',
	'label' => '',
	'info' => '',
	'default' => __( 'Save Settings', 'addon-supportezzy' ),
	'options' => '', // array in case of dropdown, checkbox and radio buttons
);

echo '<form action="" method="post">';
echo $this->helpers->renderAdminForm( $skype_form_fields );
echo '</form>';