<?php
if( isset( $_GET['cjaddons-woocommerce-sync'] ) && $_GET['cjaddons-woocommerce-sync'] == 'products' ) {
	$this->helpers->syncWoocommerceProducts();
	$location = admin_url( 'edit-tags.php?taxonomy=cjsupport_products&post_type=cjsupport' );
	wp_redirect( $location );
	wp_die();
}

if( isset( $_POST['cjsupport_woocommerce_my_account_link'] ) ) {
	$this->helpers->updateOption( 'cjsupport_woocommerce_my_account_link', $_POST['cjsupport_woocommerce_my_account_link'] );
	$location = $this->helpers->callbackUrl( 'addon-supportezzy', 'cjsupport-integration-woocommerce' ) . '&cjaddons-msg=saved';
	wp_redirect( $location );
	wp_die();
}

$sync_products_url = $this->helpers->queryString( $this->helpers->callbackUrl( 'addon-supportezzy', 'cjsupport-integration-woocommerce' ) ) . 'cjaddons-woocommerce-sync=products';
$woocommerce_fields = array(
	array(
		'type' => 'heading',
		'id' => 'cjsupport-woocommerce',
		'label' => __( 'Import Woocommerce Products', 'addon-supportezzy' ),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'info',
		'id' => 'cjsupport_woocommerce_sync_products',
		'label' => __( 'Sync Products', 'addon-supportezzy' ),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '<a href="' . $sync_products_url . '" class="cj-button cj-is-info">' . __( 'Sync Woocommerce Products', 'addon-supportezzy' ) . '</a>',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'dropdown',
		'id' => 'cjsupport_woocommerce_my_account_link',
		'label' => __( 'My Account Tab', 'addon-supportezzy' ),
		'info' => __( 'Select Yes, to insert Support tab before logout link on my account page.', 'addon-supportezzy' ),
		'suffix' => '',
		'prefix' => '',
		'default' => $this->helpers->savedOption( 'cjsupport_woocommerce_my_account_link' ),
		'options' => $this->helpers->arrays( 'yes-no' ), // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'submit',
		'id' => 'cjsupport_woocommerce_submit',
		'label' => '',
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => __( 'Save Settings', 'addon-supportezzy' ),
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
);
echo '<form method="post">';
if( isset( $_GET['cjaddons-msg'] ) && $_GET['cjaddons-msg'] == 'saved' ) {
	echo $this->helpers->alert( 'success cj-color-light', esc_attr__( 'Options saved successfully.', 'addon-supportezzy' ) );
}
echo $this->helpers->renderAdminForm( $woocommerce_fields );
echo '</form>';
