<?php
global $cjaddons_item_vars;
$dir_name = str_replace( '.php', '', basename( dirname( dirname( __FILE__ ) ) ) );

$cjaddons_item_vars['admin_menu'][ $dir_name ] = array(
	'cjsupport-configuration-app' => __( 'App Settings', 'addon-supportezzy' ),
	'cjsupport-configuration-staff' => __( 'Manage Staff', 'addon-supportezzy' ),
	'cjsupport-configuration-tickets' => __( 'Tickets Settings', 'addon-supportezzy' ),
	array(
		'label' => __( 'Email Settings', 'addon-supportezzy' ),
		'items' => array(
			'cjsupport-email-variables' => __( 'Dynamic Variables', 'addon-supportezzy' ),
			'cjsupport-email-messages-new-ticket' => __( 'New Ticket Messages', 'addon-supportezzy' ),
			'cjsupport-email-messages-new-comment' => __( 'New Comment Messages', 'addon-supportezzy' ),
		)
	),
	array(
		'label' => __( 'Integrations', 'addon-supportezzy' ),
		'items' => array(
			'cjsupport-configuration-imap' => __( 'IMAP Configuration', 'addon-supportezzy' ),
			'cjsupport-integration-one-signal' => __( 'Push Notifications', 'addon-supportezzy' ),
			'cjsupport-integration-envato' => __( 'Envato Marketplace', 'addon-supportezzy' ),
			'cjsupport-integration-gumroad' => __( 'Gumroad', 'addon-supportezzy' ),
			'cjsupport-integration-woocommerce' => __( 'Woocommerce', 'addon-supportezzy' ),
			'cjsupport-integration-skype' => __( 'Skype', 'addon-supportezzy' ),
		)
	),

);

$cjaddons_item_vars['option_files'][ $dir_name ] = array(
	'cjsupport-configuration-app',
	'cjsupport-configuration-tickets',
	'cjsupport-email-variables',
	'cjsupport-email-messages-new-ticket',
	'cjsupport-email-messages-new-comment',
	'cjsupport-integration-one-signal',
	'cjsupport-integration-envato',
	'cjsupport-integration-gumroad',
);