<?php
$cjaddons_item_vars['taxonomies']['cjsupport_departments'] = array(
	'labels' => array(
		'name' => __( 'Departments', 'addon-supportezzy' ),
		'singular_name' => __( 'Department', 'addon-supportezzy' ),
		'search_items' => __( 'Search Department', 'addon-supportezzy' ),
		'all_items' => __( 'All Departments', 'addon-supportezzy' ),
		'parent_item' => __( 'Parent Department', 'addon-supportezzy' ),
		'parent_item_colon' => __( 'Parent Department:', 'addon-supportezzy' ),
		'edit_item' => __( 'Edit Department', 'addon-supportezzy' ),
		'update_item' => __( 'Update Department', 'addon-supportezzy' ),
		'add_new_item' => __( 'Add New Department', 'addon-supportezzy' ),
		'new_item_name' => __( 'New Department', 'addon-supportezzy' ),
	),
	'args' => array(
		'hierarchical' => true,
		'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
		'rewrite' => array('slug' => 'cjaddons-supportezzy-departments', 'with_front' => false),
	),
	'post_types' => array('cjsupport')
);

$cjaddons_item_vars['taxonomies']['cjsupport_products'] = array(
	'labels' => array(
		'name' => __( 'Products', 'addon-supportezzy' ),
		'singular_name' => __( 'Product', 'addon-supportezzy' ),
		'search_items' => __( 'Search Product', 'addon-supportezzy' ),
		'all_items' => __( 'All Products', 'addon-supportezzy' ),
		'parent_item' => __( 'Parent Product', 'addon-supportezzy' ),
		'parent_item_colon' => __( 'Parent Product:', 'addon-supportezzy' ),
		'edit_item' => __( 'Edit Product', 'addon-supportezzy' ),
		'update_item' => __( 'Update Product', 'addon-supportezzy' ),
		'add_new_item' => __( 'Add New Product', 'addon-supportezzy' ),
		'new_item_name' => __( 'New Product', 'addon-supportezzy' ),
	),
	'args' => array(
		'hierarchical' => true,
		'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
		'rewrite' => array('slug' => 'cjaddons-supportezzy-products', 'with_front' => false),
	),
	'post_types' => array('cjsupport')
);

$cjaddons_item_vars['taxonomies']['cjsupport_faq_category'] = array(
	'labels' => array(
		'name' => __( 'Categories', 'addon-supportezzy' ),
		'singular_name' => __( 'Category', 'addon-supportezzy' ),
		'search_items' => __( 'Search Category', 'addon-supportezzy' ),
		'all_items' => __( 'All Categories', 'addon-supportezzy' ),
		'parent_item' => __( 'Parent Category', 'addon-supportezzy' ),
		'parent_item_colon' => __( 'Parent Category:', 'addon-supportezzy' ),
		'edit_item' => __( 'Edit Category', 'addon-supportezzy' ),
		'update_item' => __( 'Update Category', 'addon-supportezzy' ),
		'add_new_item' => __( 'Add New Category', 'addon-supportezzy' ),
		'new_item_name' => __( 'New Category', 'addon-supportezzy' ),
	),
	'args' => array(
		'hierarchical' => true,
		'show_ui' => true,
		'show_admin_column' => true,
		'query_var' => true,
		'rewrite' => array('slug' => 'faq-category', 'with_front' => false),
	),
	'post_types' => array('cjsupport_faqs')
);