<?php
/*
Plugin Name: WP SupportEzzy
Plugin URI: https://cssjockey.com/
Description: This add-on enables a powerful customer support system on your WordPress website using the latest technology.
Author: 20script
Version: 1.6.9
Author URI: http://www.20script.ir
*/
ob_start();
require_once dirname( __FILE__ ) . '/cssjockey-addon.php';
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), function ( $links ) {
	if( class_exists( 'cjaddons_framework' ) ) {
		$addon_id = basename( dirname( __FILE__ ) );
		$link = get_admin_url( null, 'admin.php?page=cjaddons-' . $addon_id . '&callback=' . $addon_id . '~info' );
		$links[] = '<a href="' . esc_url( $link ) . '">' . __( 'Settings', 'addon-supportezzy' ) . '</a>';
	} else {
		$link = 'https://downloads.wordpress.org/plugin/cssjockey-add-ons.zip';
		$links[] = '<a href="' . esc_url( $link ) . '">' . __( 'Install Framework', 'addon-supportezzy' ) . '</a>';
	}

	return $links;
} );
add_action( 'init', function () {
	$domain = basename( __DIR__ );
	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
	load_textdomain( $domain, trailingslashit( WP_LANG_DIR ) . $domain . '/' . $domain . '-' . $locale . '.mo' );
	load_plugin_textdomain( $domain, false, basename( dirname( __FILE__ ) ) . '/languages/' );
} );
if( ! class_exists( 'cjaddons_framework' ) ) {
	return false;
}